var d = new Date();
d.setTime(d.getTime() + 365 * 24 * 60 * 60 * 1000);
$(document).ready(function () {
    $(document).on("click", function (e) {
		if(e.target.id != ''){
			if (
				e.target.id != "contenedor_modal" &&
				$("#" + e.target.id)
					.parent()
					.attr("id") != "contenedor_modal"
			) {
				var container2 = $("#contenedor_modal");
				if (!container2.is(e.target) && container2.has(e.target).length === 0) {
					$("#ventana_modal").hide();
					$("body").css("overflow", "inherit");
				}
			}
		}
    });
    $("#ventana_modal .svgicon").click(function () {
        $("#ventana_modal").hide();
        $("body").css("overflow", "inherit");
    });
    var url_pre = window.location.href.substring(0, window.location.href.indexOf(".com/") + 4);
    var idioma_actual = window.location.href.substring(window.location.href.indexOf(".com/") + 5).split("/", 1)[0];
    if (idioma_actual == "tr" || idioma_actual == "th") {
        idioma_actual = "en";
    }
    var url_post = window.location.href.substring(window.location.href.indexOf(".com/") + 6 + idioma_actual.length);
    var userLang = navigator.language || navigator.userLanguage;
    userLang = userLang.toLowerCase();
    if (userLang.indexOf("-") > 0) {
        userLang = userLang.substring(0, userLang.indexOf("-"));
    }
    var idiomas = [
        { nombre: "Deutsch", valor: "de" },
        { nombre: "Español", valor: "es" },
        { nombre: "Français", valor: "fr" },
        { nombre: "Italiano", valor: "it" },
        { nombre: "Nederlands", valor: "nl" },
        { nombre: "Português", valor: "pt" },
        { nombre: "Svenska", valor: "sv" },
    ];
    var pais_actual = "SPAIN";
    if ($("input[name=_PaisURL]").length > 0) {
        pais_actual = $("input[name=_PaisURL]").val().toLowerCase();
    }
    if (idioma_actual.substr(0, 2) != userLang) {
        if (window.location.href.indexOf("/security-info") > -1) {
            if (window.location.href.match(/\/security-info\/[0-9]{1,7}\//i)) {
                if (userLang == "en" || userLang == "es") {
                    mostrarLangModal();
                }
            } else {
                if (userLang == "de" || userLang == "en" || userLang == "es" || userLang == "fr" || userLang == "it") {
                    mostrarLangModal();
                }
            }
        } else {
            if (window.location.href.indexOf("/support/card") > -1) {
                if (userLang == "en" || userLang == "es") {
                    mostrarLangModal();
                }
            } else {
                mostrarLangModal();
            }
        }
    }
    function getCookie(cname) {
        var name = cname + "=";
        var ca = document.cookie.split(";");
        for (var i = 0; i < ca.length; i += 1) {
            var c = ca[i];
            while (c.charAt(0) == " ") {
                c = c.substring(1);
            }
            if (c.indexOf(name) == 0) {
                return c.substring(name.length, c.length);
            }
        }
        return "";
    }
    function setCookie(cname, cvalue) {
        var d = new Date();
        d.setTime(d.getTime() + 365 * 24 * 60 * 60 * 1000);
        var expires = "expires=" + d.toUTCString();
        document.cookie = cname + "=" + cvalue + ";" + expires + ";domain=.pandasecurity.com;path=/";
    }
    var idioma_seleccionado = "";
    $("#button_yes").click(function (e) {
        idioma_seleccionado = $("#button_yes").attr("href").split("/")[3];
        if (idioma_seleccionado == "") {
            idioma_seleccionado = "en";
        }
        if (idioma_seleccionado == "en") {
            e.preventDefault();
            $("#ventana_modal").hide();
            $("body").css("overflow", "inherit");
        }
        setCookie("select_language", idioma_seleccionado);
    });
    $("#button_no").click(function () {
        idioma_seleccionado = $("#button_no").attr("href").split("/")[3];
        if (idioma_seleccionado == "") {
            idioma_seleccionado = "en";
        }
        setCookie("select_language", idioma_seleccionado);
    });
    $(".languages-footer a").click(function () {
        idioma_seleccionado = $(".languages-footer a").attr("href").split("/")[3];
        if (idioma_seleccionado == "") {
            idioma_seleccionado = "en";
        }
        setCookie("select_language", idioma_seleccionado);
    });
    function mostrarLangModal() {
        if (!(document.cookie.indexOf("select_language=") > -1)) {
            if (idioma_actual != "en-us" && idioma_actual != "es-us") {
                for (var i = 0; idiomas.length > i; i += 1) {
                    if (userLang == idiomas[i]["valor"]) {
                        $("#button_no").attr("href", url_pre + "/" + idiomas[i]["valor"] + "/" + url_post);
                        $("#button_yes").attr("href", url_pre + "/" + idioma_actual + "/" + url_post);
                        $("#ventana_modal").css("display", "block");
                        $("body").css("overflow", "hidden");
                        $("#idioma_modal").html(idiomas[i]["nombre"]);
                        break;
                    }
                }
            }
        }
    }
});
